Skip to content
Start here

Update app

client.flagship.apps.update(stringappId, AppUpdateParams { account_id, name } params, RequestOptionsoptions?): AppUpdateResponse { id, created_at, name, 2 more }
PUT/accounts/{account_id}/flagship/apps/{app_id}

Updates an app. Only name is mutable.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Flagship Write
ParametersExpand Collapse
appId: string

App identifier.

params: AppUpdateParams { account_id, name }
account_id: string

Path param: Cloudflare account ID.

name?: string

Body param

maxLength64
minLength1
ReturnsExpand Collapse
AppUpdateResponse { id, created_at, name, 2 more }
id: string
created_at: string
name: string
updated_at: string
updated_by: string

Email of the actor who last modified the app, or edge-gateway for gateway-authenticated changes.

Update app

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const app = await client.flagship.apps.update('app_id', { account_id: 'account_id' });

console.log(app.id);
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}